python-argvalidate_0.9.0-2_all.deb


Advertisement

Description

python-argvalidate - simple argument validator library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-argvalidate
Package version: 0.9.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 158 B
Download size: 21.48 KB
Official Mirror: archive.ubuntu.com
python-argvalidate provides developers with a simple way of doing type-checking for both Python functions and methods.

Alternatives

    Download

    Source package: argvalidate

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-argvalidate deb package:
      # sudo apt-get install python-argvalidate

    Files

    • /usr/lib/python2.7/dist-packages/argvalidate.py
    • /usr/lib/python2.7/dist-packages/argvalidate-0.9.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/argvalidate-0.9.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/argvalidate-0.9.0.egg-info/top_level.txt
    • /usr/share/doc/python-argvalidate/changelog.Debian.gz
    • /usr/share/doc/python-argvalidate/copyright
    • /usr/share/doc/python-argvalidate/html/argvalidate.html
    • /usr/share/doc/python-argvalidate/html/envvars.html
    • /usr/share/doc/python-argvalidate/html/genindex.html
    • /usr/share/doc/python-argvalidate/html/index.html
    • /usr/share/doc/python-argvalidate/html/objects.inv
    • /usr/share/doc/python-argvalidate/html/py-modindex.html
    • /usr/share/doc/python-argvalidate/html/search.html
    • /usr/share/doc/python-argvalidate/html/searchindex.js
    • /usr/share/doc/python-argvalidate/html/_sources/argvalidate.txt
    • /usr/share/doc/python-argvalidate/html/_sources/envvars.txt
    • /usr/share/doc/python-argvalidate/html/_sources/index.txt
    • /usr/share/doc/python-argvalidate/html/_static/ajax-loader.gif
    • /usr/share/doc/python-argvalidate/html/_static/basic.css
    • /usr/share/doc/python-argvalidate/html/_static/comment-bright.png
    • /usr/share/doc/python-argvalidate/html/_static/comment-close.png
    • /usr/share/doc/python-argvalidate/html/_static/comment.png
    • /usr/share/doc/python-argvalidate/html/_static/default.css
    • /usr/share/doc/python-argvalidate/html/_static/doctools.js
    • /usr/share/doc/python-argvalidate/html/_static/down-pressed.png
    • /usr/share/doc/python-argvalidate/html/_static/down.png
    • /usr/share/doc/python-argvalidate/html/_static/file.png
    • /usr/share/doc/python-argvalidate/html/_static/jquery.js
    • /usr/share/doc/python-argvalidate/html/_static/minus.png
    • /usr/share/doc/python-argvalidate/html/_static/plus.png
    • /usr/share/doc/python-argvalidate/html/_static/pygments.css
    • /usr/share/doc/python-argvalidate/html/_static/searchtools.js
    • /usr/share/doc/python-argvalidate/html/_static/sidebar.js
    • /usr/share/doc/python-argvalidate/html/_static/underscore.js
    • /usr/share/doc/python-argvalidate/html/_static/up-pressed.png
    • /usr/share/doc/python-argvalidate/html/_static/up.png

    Changelog

    2014-09-17 - Barry Warsaw <barry@debian.org> argvalidate (0.9.0-2) unstable; urgency=low * Team upload. [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Barry Warsaw ] * d/compat: Bump to 9. * d/control: - Update Build-Depends* fields for dh-python2 and pybuild. Remove dependency on python-support. Add dependency on python-sphinx. - Add X-Python-Version header. - Bump Standards-Version to 3.9.5 with no other changes necessary. * d/rules: Convert to dh-python2 and pybuild. * d/source/format: Convert to "3.0 (quilt)"

    2009-03-28 - Stephan Peijnik <debian@sp.or.at> argvalidate (0.9.0-1) unstable; urgency=low * New upstream release. * debian/control: + Updated Homepage field. + Bumped Standards-Version to 3.8.1, no modifications required. + Added python (>= 2.5.4-1~) to Build-Depends (for --install-layout=deb). * debian/watch: + Added final newline. * debian/rules: + Added --install-layout=deb option to python setup.py install call.

    2009-02-26 - Stephan Peijnik <debian@sp.or.at> argvalidate (0.8.2-1) unstable; urgency=low * New upstream release.

    2009-02-25 - Stephan Peijnik <debian@sp.or.at> argvalidate (0.8.1-1) unstable; urgency=low * Initial release (Closes: #516880)

    Advertisement
    Advertisement